This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 966285 - LVMError: lvactivate failed for swap: running lvm lvchange -a y fedora/swap failed
LVMError: lvactivate failed for swap: running lvm lvchange -a y fedora/swap f...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:722c2efe20be9587fc6e244de7b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 19:08 EDT by Jeff Bastian
Modified: 2015-02-17 10:18 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:18:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda.log (64.24 KB, text/plain)
2013-05-22 19:08 EDT, Jeff Bastian
no flags Details
File: backtrace (1.71 KB, text/plain)
2013-05-22 19:08 EDT, Jeff Bastian
no flags Details
File: environ (760 bytes, text/plain)
2013-05-22 19:08 EDT, Jeff Bastian
no flags Details
File: ifcfg.log (567 bytes, text/plain)
2013-05-22 19:08 EDT, Jeff Bastian
no flags Details
File: lsblk_output (2.96 KB, text/plain)
2013-05-22 19:08 EDT, Jeff Bastian
no flags Details
File: nmcli_dev_list (3.38 KB, text/plain)
2013-05-22 19:08 EDT, Jeff Bastian
no flags Details
File: packaging.log (592.65 KB, text/plain)
2013-05-22 19:08 EDT, Jeff Bastian
no flags Details
File: program.log (60.87 KB, text/plain)
2013-05-22 19:08 EDT, Jeff Bastian
no flags Details
File: storage.log (725.65 KB, text/plain)
2013-05-22 19:08 EDT, Jeff Bastian
no flags Details
File: syslog (75.83 KB, text/plain)
2013-05-22 19:08 EDT, Jeff Bastian
no flags Details
File: anaconda-tb (1.63 MB, application/octet-stream)
2013-05-22 19:08 EDT, Jeff Bastian
no flags Details

  None (edit)
Description Jeff Bastian 2013-05-22 19:08:18 EDT
Description of problem:
I dropped to a shell (CTRL-ALT-F2) and manually created 4 partitions using fdisk on /dev/vda, then I returned to Anaconda and told it to Rescan the disks.  It crashed while rescanning.
The following was filed automatically by anaconda:
anaconda 19.28-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devicelibs/lvm.py", line 395, in lvactivate
    raise LVMError("lvactivate failed for %s: %s" % (lv_name, msg))
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 2577, in _setup
    lvm.lvactivate(self.vg.name, self._name)
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 717, in setup
    self._setup(orig=orig)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1280, in handleVgLvs
    lv_device.setup()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1373, in handleUdevLVMPVFormat
    self.handleVgLvs(vg_device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1660, in handleUdevDeviceFormat
    self.handleUdevLVMPVFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1077, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1874, in _populate
    self.addUdevDevice(dev)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1818, in populate
    self._populate()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 409, in reset
    self.devicetree.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 140, in storageInitialize
    storage.reset()
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
LVMError: lvactivate failed for swap: running lvm lvchange -a y fedora/swap failed

Version-Release number of selected component:
anaconda-19.28-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta\x20x86_64 quiet drm_kms_helper.edid_firmware=edid/1024x768.bin BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 140, in storageInitialize
    storage.reset()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 409, in reset
    self.devicetree.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1818, in populate
    self._populate()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1874, in _populate
    self.addUdevDevice(dev)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1077, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1660, in handleUdevDeviceFormat
    self.handleUdevLVMPVFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1373, in handleUdevLVMPVFormat
    self.handleVgLvs(vg_device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1280, in handleVgLvs
    lv_device.setup()
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 717, in setup
    self._setup(orig=orig)
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 2577, in _setup
    lvm.lvactivate(self.vg.name, self._name)
  File "/usr/lib/python2.7/site-packages/blivet/devicelibs/lvm.py", line 395, in lvactivate
    raise LVMError("lvactivate failed for %s: %s" % (lv_name, msg))
LVMError: lvactivate failed for swap: running lvm lvchange -a y fedora/swap failed
Comment 1 Jeff Bastian 2013-05-22 19:08:23 EDT
Created attachment 751926 [details]
File: anaconda.log
Comment 2 Jeff Bastian 2013-05-22 19:08:26 EDT
Created attachment 751927 [details]
File: backtrace
Comment 3 Jeff Bastian 2013-05-22 19:08:29 EDT
Created attachment 751928 [details]
File: environ
Comment 4 Jeff Bastian 2013-05-22 19:08:32 EDT
Created attachment 751929 [details]
File: ifcfg.log
Comment 5 Jeff Bastian 2013-05-22 19:08:36 EDT
Created attachment 751930 [details]
File: lsblk_output
Comment 6 Jeff Bastian 2013-05-22 19:08:39 EDT
Created attachment 751931 [details]
File: nmcli_dev_list
Comment 7 Jeff Bastian 2013-05-22 19:08:42 EDT
Created attachment 751932 [details]
File: packaging.log
Comment 8 Jeff Bastian 2013-05-22 19:08:46 EDT
Created attachment 751933 [details]
File: program.log
Comment 9 Jeff Bastian 2013-05-22 19:08:49 EDT
Created attachment 751934 [details]
File: storage.log
Comment 10 Jeff Bastian 2013-05-22 19:08:53 EDT
Created attachment 751935 [details]
File: syslog
Comment 11 Jeff Bastian 2013-05-22 19:08:58 EDT
Created attachment 751936 [details]
File: anaconda-tb
Comment 12 Jeff Bastian 2013-05-22 19:15:15 EDT
Description of problem:
Anaconda crashed immediately on startup.  It appears to be confused by stale LVM data on my disks.

Version-Release number of selected component:
anaconda-19.28-1

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019-Beta\x20x86_64 quiet BOOT_IMAGE=vmlinuz 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.9.2-301.fc19.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        19-Beta

Truncated backtrace:
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 168, in run
    threading.Thread.run(self, *args, **kwargs)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 140, in storageInitialize
    storage.reset()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 409, in reset
    self.devicetree.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1818, in populate
    self._populate()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1874, in _populate
    self.addUdevDevice(dev)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1077, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1660, in handleUdevDeviceFormat
    self.handleUdevLVMPVFormat(info, device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1373, in handleUdevLVMPVFormat
    self.handleVgLvs(vg_device)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 1280, in handleVgLvs
    lv_device.setup()
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 717, in setup
    self._setup(orig=orig)
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 2577, in _setup
    lvm.lvactivate(self.vg.name, self._name)
  File "/usr/lib/python2.7/site-packages/blivet/devicelibs/lvm.py", line 395, in lvactivate
    raise LVMError("lvactivate failed for %s: %s" % (lv_name, msg))
LVMError: lvactivate failed for swap: running lvm lvchange -a y fedora/swap failed
Comment 13 Jeff Bastian 2013-05-22 19:23:40 EDT
I zeroed out the first 100MB of each disk with
  dd if=/dev/zero of=/dev/vd_ bs=1M count=100

And that fixed this problem.

But then I hit bug 966286...
Comment 14 Nigel Conway 2013-11-19 15:33:42 EST
																																																																					Problem occurred during installation of Fedora 19 at the screen to select language.

Disks partitioned with hard partitions.

cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   initrd=initrd.img inst.stage2=hd:LABEL=Fedora\x2019\x20i386 rd.live.check quiet BOOT_IMAGE=vmlinuz 
hashmarkername: anaconda
kernel:         3.9.5-301.fc19.i686
package:        anaconda-19.30.13-1
product:        Fedora
reason:         LVMError: lvactivate failed for home: running lvm lvchange -a y fedora/home failed
release:        Cannot get release name.
version:        19
Comment 15 Nigel Conway 2013-11-24 18:55:41 EST
One disk had a number of partitions without initiated file systems. After deleting these partitions, the error did not re-occur.
Comment 16 Fedora End Of Life 2015-01-09 13:11:45 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-02-17 10:18:50 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.